﻿using UnityEngine;
using System.Collections;

public class gameLogic : MonoBehaviour {


	private gameManager gManager;
	private int currentWave;

	public GameObject player;

	public GameObject pauseMenu;

	public GameObject dotSpawn;
	public GameObject topSpawn;
	public GameObject leftSpawn;
	public GameObject rightSpawn;

	spawner mySpawner01;
	spawner mySpawner02;
	spawner mySpawner03;
	spawner mySpawner04;
	spawner mySpawner05;

	void Awake () {
	
		gManager = GameObject.FindWithTag ("GM").GetComponent<gameManager> ();

		mySpawner01 = GameObject.FindWithTag ("SPAWN1").GetComponent<spawner> ();

		mySpawner02 = GameObject.FindWithTag ("SPAWN2").GetComponent<spawner> ();
		mySpawner03 = GameObject.FindWithTag ("SPAWN3").GetComponent<spawner> ();
		mySpawner04 = GameObject.FindWithTag ("SPAWN4").GetComponent<spawner> ();
		mySpawner05 = GameObject.FindWithTag ("SPAWN5").GetComponent<spawner> ();



	}

	void Start(){



		if (Time.timeScale == 0.0f) {

			Time.timeScale = 1.0f;

		}


	}
	
	// Update is called once per frame
	void Update () {

	

		currentWave = gManager.currentWave;

		Debug.Log (currentWave);

		switch (currentWave) {
		
			case 3:
				mySpawner02.enabled = true;
				break;

			case 5:
				mySpawner03.enabled = true;
				break;

			case 8:
				mySpawner04.enabled = true;
				break;

			case 10:
				mySpawner05.enabled = true;
				break;

			default:
				break;

		}


	



	}

	void reAdjust(){
		
		if (mySpawner01.isActiveAndEnabled) {
			mySpawner01.enabled = false;
			mySpawner01.enabled = true;
		}
		
		if (mySpawner02.isActiveAndEnabled) {
			mySpawner02.enabled = false;
			mySpawner02.enabled = true;
		}
		
		if (mySpawner03.isActiveAndEnabled) {
			mySpawner03.enabled = false;
			mySpawner03.enabled = true;
		}
		
		if (mySpawner04.isActiveAndEnabled) {
			mySpawner04.enabled = false;
			mySpawner04.enabled = true;
		}
		
		if (mySpawner05.isActiveAndEnabled) {
			
			mySpawner05.enabled = false;
			mySpawner05.enabled = true;
		}
	}


	public void SpawnSpeedAdjust(){




		if (mySpawner01.repeatFireTime > 2.0f) {

			mySpawner01.repeatFireTime -= 0.2f;
		
		}


		if (mySpawner02.isActiveAndEnabled && mySpawner02.repeatFireTime > 2.0f ) {

			mySpawner02.repeatFireTime -= 0.4f;

		}

		
		if (mySpawner03.isActiveAndEnabled &&  mySpawner03.repeatFireTime > 2.0f ) {
			
			mySpawner03.repeatFireTime -= 0.6f;
			
		}

		
		if (mySpawner04.isActiveAndEnabled &&  mySpawner04.repeatFireTime > 2.0f ) {
			
			mySpawner04.repeatFireTime -= 0.8f;
			
		}

		if (mySpawner05.isActiveAndEnabled &&  mySpawner05.repeatFireTime > 2.0f ) {
			
			mySpawner05.repeatFireTime -= 1.0f;
			
		}

		reAdjust ();





	}


	public void Restart(){

		//pauseMenu.SetActive (false);

		Application.LoadLevel (1);

	
	}

	public void MainMenu(){

		pauseMenu.SetActive (false);
		Application.LoadLevel (0);

	}
	public void Pause(){

		Time.timeScale = 0.0f;
		player.SetActive (false);
		pauseMenu.SetActive (true);
	}

	public void Resume(){
		
		Time.timeScale = 1.0f;
		player.SetActive (true);
		pauseMenu.SetActive (false);
		
	}
}
