﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class gameManager : MonoBehaviour {

	public int currentWave = 1;
	public int playerHealth = 25;

	public int enemiesKilled = 0;
	public int enemiestoAdvance = 2;

	public float levelCompleted = 0.0f;



	public Text waveTxt;
	public Text levelCompletedTxt;
	public Slider playerHealthBar;

	gameLogic gLogic;

	//enemy gameobject to do:


	void Awake(){

		gLogic = GameObject.FindWithTag ("GLOGIC").GetComponent<gameLogic> ();

	}

	void Start () {


		updateGUI ();
	

	}
	

	void Update () {

	
		levelCompleted = ( (float)enemiesKilled /   (float)enemiestoAdvance ) * 100.0f ;
		updateGUI();

		if (playerHealth <= 0 ) {


			resetGame();
			Application.LoadLevel(0);

		}

		if (enemiesKilled == enemiestoAdvance) {


			gLogic.SpawnSpeedAdjust();




			currentWave++;
			enemiestoAdvance += 2;
			enemiesKilled = 0;

			updateGUI ();

		} 

	}

	void updateGUI(){

		waveTxt.text = "Wave\n " + currentWave.ToString("00");
		levelCompletedTxt.text = "Completed\n " + levelCompleted.ToString("0.0") + "%";
		playerHealthBar.value = playerHealth;

	}

	public void enemyKilled(){

		enemiesKilled += 1;

	}

	void resetGame(){

		currentWave = 1;
		playerHealth = 25;
		enemiesKilled = 0;
		enemiestoAdvance = 2;
		levelCompleted = 0.0f;

	}

	public void damagePlayer(int x){

		playerHealth -= x;

	}





}
