﻿using UnityEngine;
using System.Collections;

public class spawner : MonoBehaviour {

	public GameObject projectile;
	GameObject[] projectiles;
	public int maxProjectile = 2;

	public float startFireTime = 1.0f;
	public float repeatFireTime = 1.0f;

	public float newLocationTimeStart = 1.0f;
	public float newLocationTimeRepeat = 1.0f;

	public float rangeMinX = 1.0f;
	public float rangeMaxX = 1.0f;

	public float rangeMinY = 1.0f;
	public float rangeMaxY = 1.0f;



	void OnEnable(){

		InvokeRepeating ("Fire", startFireTime, repeatFireTime);
		InvokeRepeating ("newLocation", newLocationTimeStart, newLocationTimeRepeat);
	
	}
	
	void OnDisable(){
		CancelInvoke ();
	}
	
	void Start () {
	


		projectiles = new GameObject[maxProjectile];
		
		for (int i = 0; i < maxProjectile; i++) {
			
			projectiles[i] = Instantiate(projectile);
			projectiles[i].SetActive(false);
			
			
		}
		
		//InvokeRepeating ("Fire", startFireTime, repeatFireTime);
		//InvokeRepeating ("newLocation", newLocationTimeStart, newLocationTimeRepeat);
		
	}
	
	
	void Fire(){
		
		for(int i = 0; i < maxProjectile; i++){
			
			if(!projectiles[i].activeInHierarchy){
				
				projectiles[i].transform.position = transform.position;
				projectiles[i].transform.rotation = transform.rotation;
				projectiles[i].SetActive(true);
				break;
				
			}
			
		}
		
	}
	
	void newLocation(){

		transform.position = new Vector2 (Random.Range (rangeMinX, rangeMaxX) , Random.Range (rangeMinY, rangeMaxY) );


	}
	
	void Update () {


	
	}
}
